Bug 1086430 - Update to latest version 0.10.0
Summary: Update to latest version 0.10.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-10 21:27 UTC by Bobby Powers
Modified: 2014-07-01 23:00 UTC (History)
10 users (show)

Fixed In Version: docker-io-0.11.1-7.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-10 03:23:29 UTC
Type: Bug


Attachments (Terms of Use)
updated docker-io (7.59 KB, patch)
2014-04-10 21:28 UTC, Bobby Powers
no flags Details | Diff

Description Bobby Powers 2014-04-10 21:27:57 UTC
Description of problem:
A new version of docker is available

Version-Release number of selected component (if applicable):
0.10.0

Comment 1 Bobby Powers 2014-04-10 21:28:41 UTC
Created attachment 885163 [details]
updated docker-io

depends on one package update: https://bugzilla.redhat.com/show_bug.cgi?id=1086429

Comment 2 Lokesh Mandvekar 2014-04-11 14:49:13 UTC
could you send me a patch on the master branch here: http://pkgs.fedoraproject.org/cgit/docker-io.git/

or a PR here: https://github.com/lsm5/docker-io

Comment 3 Bobby Powers 2014-04-11 15:44:23 UTC
Hi Lokesh,

I've opened a PR on git: https://github.com/lsm5/docker-io/pull/5

yours,
Bobby

Comment 4 Fedora Update System 2014-04-14 17:20:00 UTC
docker-io-0.10.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.10.0-2.fc19

Comment 5 Fedora Update System 2014-04-14 17:21:13 UTC
docker-io-0.10.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.10.0-2.fc20

Comment 6 Fedora Update System 2014-04-14 17:28:59 UTC
docker-io-0.10.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.10.0-2.el6

Comment 7 Fedora Update System 2014-04-15 15:34:41 UTC
Package docker-io-0.10.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-0.10.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5084/docker-io-0.10.0-2.fc19
then log in and leave karma (feedback).

Comment 8 Jan Pazdziora 2014-05-05 14:29:56 UTC
I'd like to point out that at least on Fedora 20, the new docker-io-0.10.0-2 causes build of

   FROM fedora:20
   ADD systemctl /bin/systemctl

to spin the docker process at 100 % CPU and never (or in reasonable time) to finish. While ADD systemctl /usr/bin/systemctl works just find. It seems that docker-io-0.10.0-2 has problems with resolving symlinks during the ADD operation (bin is a symlink to usr/bin on Fedora 20).

Comment 9 Jan Pazdziora 2014-05-06 09:22:10 UTC
Another issue I've hit with docker-io-0.10.0-2 is bug 1094664.

Comment 10 Daniel Walsh 2014-05-06 19:21:09 UTC
Is this an SELinux issue?

ausearch -m avc -ts recent -i

Comment 11 Jan Pazdziora 2014-05-06 19:31:59 UTC
(In reply to Daniel Walsh from comment #10)
> Is this an SELinux issue?
> 
> ausearch -m avc -ts recent -i

It does not seem like it -- <no matches>.

Comment 12 Fedora Update System 2014-05-08 16:18:07 UTC
docker-io-0.11.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-1.fc20

Comment 13 Daniel Walsh 2014-05-08 21:11:31 UTC
Well see if this version fixes your problem

Comment 14 Fedora Update System 2014-05-10 03:23:29 UTC
docker-io-0.11.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-05-13 14:22:09 UTC
docker-io-0.11.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-3.fc19

Comment 16 Fedora Update System 2014-05-14 19:19:04 UTC
docker-io-0.11.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-4.el6

Comment 17 Fedora Update System 2014-05-17 00:04:58 UTC
docker-io-0.11.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-05-29 13:08:48 UTC
docker-io-0.11.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.11.1-7.fc19

Comment 19 Fedora Update System 2014-06-10 02:50:50 UTC
docker-io-0.11.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.